free_ptr< T > Class Template Reference

Simple template class to free a pointer. More...

Collaboration diagram for free_ptr< T >:
[legend]

## Public Member Functions

| free_ptr (T ptr)
| Constructor.
| ~free_ptr ()
| Destructor.
| free_ptr (T ptr)
| Constructor.
| ~free_ptr ()
| Destructor.
| free_ptr (T ptr)
| Constructor.
| ~free_ptr ()
| Destructor.

## Protected Attributes

T | m_p
| The value to free.

## Detailed Description

### template<typename T>
class free_ptr< T >

Simple template class to free a pointer.

The documentation for this class was generated from the following files:

- apps/elftosb/common/format_string.cpp
- utility.cpp